Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.reader.xmlschema
Class MultiSchemaReader

    java.lang.Object
      com.sun.msv.reader.xmlschema.MultiSchemaReader

public class MultiSchemaReader
extends java.lang.Object

An utility class that reads multiple XML Schema documents and combines them into one schema object.

## Usage

Creates a new instance of `XMLSchemaReader`, then pass it to the constructor of this class. Then call the parse method as many times as you want. Finally, call the finish method.

The parsed grammar can be obtained from the underlying XMLSchemaReader object.

Author:
  Kohsuke KAWAGUCHI

Constructor Summary
`MultiSchemaReader(XMLSchemaReader _reader)`

Method Summary
`void` | `finish()` This method should be called when all the schemas are parsed.
`XMLSchemaReader` | `getReader()` Deprecated.
`XMLSchemaGrammar` | `getResult()` Obtains the parsed grammar.
`void` | `parse(org.xml.sax.InputSource is)` Parses an additional schema.
`void` | `parse(java.lang.String source)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultiSchemaReader

    public MultiSchemaReader(XMLSchemaReader _reader)

Method Detail

### getReader

    public final XMLSchemaReader getReader()

  Deprecated.

### getResult

    public final XMLSchemaGrammar getResult()

  Obtains the parsed grammar.

### parse

    public final void parse(java.lang.String source)

### parse

    public void parse(org.xml.sax.InputSource is)

  Parses an additional schema. The caller can call this method many times to parse multiple schemas. If possible, the caller should set the system Id to the InputSource.

### finish

    public void finish()

  This method should be called when all the schemas are parsed.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD